Skip to main content
POST
/
api
/
onboarding
/
nigeria_kyc
/
voters_id
/
Voter's ID
curl --request POST \
  --url https://adhere-api.smartcomply.com/api/onboarding/nigeria_kyc/voters_id/ \
  --header 'Content-Type: application/json' \
  --header 'x-access-token: <api-key>' \
  --data '
{
  "vin": "95C67890123400001"
}
'
import requests

url = "https://adhere-api.smartcomply.com/api/onboarding/nigeria_kyc/voters_id/"

payload = { "vin": "95C67890123400001" }
headers = {
"x-access-token": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'x-access-token': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({vin: '95C67890123400001'})
};

fetch('https://adhere-api.smartcomply.com/api/onboarding/nigeria_kyc/voters_id/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "status": "failed",
  "data": [
    "<unknown>"
  ],
  "message": "<string>"
}
{
"status": "failed",
"message": "Authentication credentials were not provided."
}
The Voter’s ID endpoint validates a Permanent Voter’s Card (PVC) number against the INEC database and returns the voter’s registered personal details, registration area, and polling unit.

Endpoint

POST /api/onboarding/nigeria_kyc/voters_id/

Request

Headers

HeaderValueRequired
x-access-tokenYour API secret keyYes
Content-Typeapplication/jsonYes

Body Parameters

ParameterTypeRequiredDescription
voters_idstringYesThe Permanent Voter’s Card number
first_namestringYesFirst name as on the voter’s card
last_namestringYesLast name as on the voter’s card
date_of_birthstringYesDate of birth in YYYY-MM-DD format
lgastringYesLocal government area of registration
statestringYesState of registration

Example

curl -X POST "https://adhere-api.smartcomply.com/api/onboarding/nigeria_kyc/voters_id/" \
  -H "x-access-token: YOUR_SECRET_KEY" \
  -H "Content-Type: application/json" \
  -d '{"voters_id": "91F6B1F5BE295355586", "first_name": "John", "last_name": "Doe", "date_of_birth": "1994-08-11", "lga": "Lagos", "state": "Lagos"}'
import requests
response = requests.post(
    "https://adhere-api.smartcomply.com/api/onboarding/nigeria_kyc/voters_id/",
    headers={"x-access-token": "YOUR_SECRET_KEY", "Content-Type": "application/json"},
    json={"voters_id": "91F6B1F5BE295355586", "first_name": "John", "last_name": "Doe",
          "date_of_birth": "1994-08-11", "lga": "Lagos", "state": "Lagos"},
)

Response

200 OK

FieldTypeDescription
data.full_namestringFull name as registered
data.voter_identification_numberstringPVC identification number
data.genderstringGender
data.occupationstringRegistered occupation
data.time_of_registrationstringDate and time of voter registration
data.statestringState of registration
data.local_governmentstringLGA of registration
data.registration_area_wardstringWard name
data.polling_unitstringPolling unit description
data.polling_unit_codestringPolling unit code
{
  "status": "success",
  "data": {
    "full_name": "JOHN DOE S",
    "voter_identification_number": "90F5B1C5B1234567890",
    "gender": "Male",
    "occupation": "STUDENT",
    "time_of_registration": "2011-01-18 13:59:46",
    "state": "ONDO",
    "local_government": "IDANRE",
    "registration_area_ward": "ISALU JIGBOKIN",
    "polling_unit": "OJAJIGBOKIN, O/S IN FRONT OF ABANA I & II",
    "polling_unit_code": "28/08/08/005"
  },
  "message": "Voters Identification details retrieved successfully"
}

400 Bad Request

{
  "status": "failed",
  "data": [],
  "message": "Sorry, your check cannot be processed at the moment. Please try again in a few minutes"
}

401 Unauthorized

{
  "status": "failed",
  "message": "Authentication credentials were not provided."
}

Authorizations

x-access-token
string
header
required

Your Adhere API secret key

Body

application/json
vin
string
required

Voter Identification Number

Example:

"95C67890123400001"

Response

Voter's ID verified